#!/usr/bin/perl
print "Content-Type: text/html\n\n";

while (($key,$value) = each %ENV) {
	###print "$key = $value \n";
	prt("$key");
	##prt(" = ");
	prt("\n");
	my @arr = split(';', $value);
	my $cnt = 0;
	foreach $ky (@arr) {
		##if ($cnt) {
		##	prt("|");
		##}
		prt(" --- $ky");
		$cnt++;
		prt("\n");
	}

	##prt("$value");
	prt("\n");
}

sub prt {
	##my ($txt) = @_;
	##print $txt;
	print @_;
}